Search found 86 matches

Go to advanced search

by edi
Mon Oct 19, 2020 2:58 pm
Forum: Forum in Deutsch
Topic: Neue Features und Addons
Replies: 29
Views: 1770

Re: Neue Features und Addons

Kleine, aber wichtige Verbesserungen/Änderungen für Python-Fans: Für Linienelemente im Sketcher wurden in 0.19 die beiden (in 0.18 nur für 3D-Elemente vorhandenen) Methoden "TypeId" und "isDerivedFrom" hinzugefügt. Dazu ein kleines Testscript (zuerst eine Skizze erzeugen und eine Ellipse zeichnen): ...
by edi
Mon Oct 19, 2020 12:25 pm
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 46
Views: 2915

Re: Feature: offset tool in sketcher

The purpose of bringing up Draft Offset is just want to highlight this tool has not problem with 2 arc not tangentially connected, just if they are still connected after offsetting. I know, the tread has become long, but I want to note the following: If arcs are not tangentially connected to their ...
by edi
Sat Oct 17, 2020 7:46 am
Forum: Python scripting and macros
Topic: How to find which lines in a sketch are selected.
Replies: 2
Views: 156

Re: How to find which lines in a sketch are selected.

SelEx = Gui.Selection.getSelectionEx()[0].SubElementNames will return the list of all selected elements, looking like ('Vertex4', 'Vertex5', 'Vertex6', 'Edge3', 'Vertex1', 'Vertex2', 'Edge1', 'Vertex3', 'Edge2') Your script has to analize this list. For example Edge1 is the first created edge in yo...
by edi
Thu Oct 15, 2020 11:54 am
Forum: Forum in Deutsch
Topic: Probleme mit Addon Manager
Replies: 22
Views: 963

Re: Probleme mit Addon Manager

Zu AppImage für Linux Anfänger wie mich: Mit dem AppImage ladest du eine einzige (sehr große) Datei in deinen Rechner. Es werden in deinem Rechner nicht wie sonst beim Installieren von Programmen viele Verzeichnisse mit vielen Dateien und Verzeichnissen etc. erzeugt. Du startest FC 0.19 einfach durc...
by edi
Thu Oct 15, 2020 9:21 am
Forum: Forum in Deutsch
Topic: Eigne WB
Replies: 2
Views: 188

Re: Eigne WB

Du möchtest alles auf einmal machen. Das funktioniert sicher nicht. Du musst ganz unten anfangen: 1. Mit "Macroaufzeichnung" eine kurze Sequenz aufzeichnen, und dann versuchen zu verstehen was aufgezeichnet wurde. 2. Ein kleines Python-Macro erzeugen, das ähnliches ausführt. 3. Viel in https://wiki....
by edi
Tue Oct 13, 2020 3:58 pm
Forum: Forum in Deutsch
Topic: Name des Körpers ermitteln
Replies: 1
Views: 183

Re: Name des Körpers ermitteln

FreeCADGui.Selection.getSelection()[0].Label Liefert das, was du mit Umbenennen angeben kannst. Meinst du das mit Name ? Mit FreeCADGui.Selection.getSelection()[0].Placement erhälst du das Placement. Mit P = FreeCADGui.Selection.getSelection()[0].Placement P.Base = App.Vector(10,20,30) kannst du da...
by edi
Tue Oct 13, 2020 3:22 pm
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 46
Views: 2915

Re: Feature: offset tool in sketcher

@RandomUser:
Use the workflow:
- open a sketch
- draw some lines and/or arcs (like in the examples above)
- select at least one element
- start the script
by edi
Wed Sep 23, 2020 1:28 pm
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 46
Views: 2915

Re: Feature: offset tool in sketcher

And that is exactly why you must add .... if radius <=0 then trim offseted lines/curves at intersection ... to your macro. Thanks for that idea, I will reflect it. The problem is not the calculation of the intersection point. The problem is to keep the overview when numbering lines, arcs, edges etc...
by edi
Wed Sep 23, 2020 5:46 am
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 46
Views: 2915

Re: Feature: offset tool in sketcher

Imagine the radius of your original arc is 3. If you want to create an offset line in distance 4 at the inner side, the radius becomes -1. That is not possible, so the script stops. The outside radius would be 7.
by edi
Tue Sep 22, 2020 1:05 pm
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 46
Views: 2915

Re: Feature: offset tool in sketcher

I am sorry, but I think its not a problem of the macro, but an installation problem.

Did you find the files in your computer ?

You can look for accessible python modules in the console. Just type

Code: Select all

>>> import DraftTrackers
Hopefully somebody else using 0.19 can help us ?

Go to advanced search